Debian Bug report logs - #409254
"dialog --pause" returns incorrect status

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Gabor Kiss <kissg@maphu.hu>

Date: Thu, 1 Feb 2007 12:03:01 UTC

Severity: normal

Found in version dialog/1.0-20060221-2

Fixed in version dialog/1.0-20060221-3

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#409254; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Gabor Kiss <kissg@maphu.hu>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gabor Kiss <kissg@maphu.hu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: "dialog --pause" returns incorrect status
Date: Thu, 01 Feb 2007 12:53:14 +0100
Package: dialog
Version: 1.0-20060221-2
Severity: normal

If I run "dialog --pause foobar 10 20 3" and I don't press any key
the return status is 254. However this should be 0 according
the manual.
Older version (1.0-20050306-1 in i386 Sarge) works well.

Gabor

-- System Information:
Debian Release: 4.0
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-kissg
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages dialog depends on:
ii  debianutils                  2.17        Miscellaneous utilities specific t
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libncursesw5                 5.5-5       Shared libraries for terminal hand

dialog recommends no packages.

-- no debconf information



Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 409254-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 409254-forwarded@bugs.debian.org, Gabor Kiss <kissg@maphu.hu>
Subject: Bug#409254: "dialog --pause" returns incorrect status (fwd)
Date: Thu, 1 Feb 2007 13:32:28 +0100 (CET)
Hello.

Another regression from sarge.

[ If this may be fixed by changing a single line, as it happened
  with the previous bug, I would like to see the fix in etch ].

---------- Forwarded message ----------
From: Gabor Kiss <kissg@maphu.hu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Thu, 01 Feb 2007 12:53:14 +0100
Subject: Bug#409254: "dialog --pause" returns incorrect status

Package: dialog
Version: 1.0-20060221-2
Severity: normal

If I run "dialog --pause foobar 10 20 3" and I don't press any key
the return status is 254. However this should be 0 according
the manual.
Older version (1.0-20050306-1 in i386 Sarge) works well.

Gabor

[...]



Message #9 received at 409254-forwarded@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Santiago Vila <sanvila@unex.es>
Cc: 409254-forwarded@bugs.debian.org, Gabor Kiss <kissg@maphu.hu>
Subject: Re: Bug#409254: "dialog --pause" returns incorrect status (fwd)
Date: Thu, 1 Feb 2007 07:35:55 -0500 (EST)
On Thu, 1 Feb 2007, Santiago Vila wrote:

> Hello.
>
> Another regression from sarge.

I see (thanks).  Tonight, probably...

>
> [ If this may be fixed by changing a single line, as it happened
>  with the previous bug, I would like to see the fix in etch ].
>
> ---------- Forwarded message ----------
> From: Gabor Kiss <kissg@maphu.hu>
> To: Debian Bug Tracking System <submit@bugs.debian.org>
> Date: Thu, 01 Feb 2007 12:53:14 +0100
> Subject: Bug#409254: "dialog --pause" returns incorrect status
>
> Package: dialog
> Version: 1.0-20060221-2
> Severity: normal
>
> If I run "dialog --pause foobar 10 20 3" and I don't press any key
> the return status is 254. However this should be 0 according
> the manual.
> Older version (1.0-20050306-1 in i386 Sarge) works well.
>
> Gabor
>
> [...]
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#409254; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #14 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 409254-submitter@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#409254: "dialog --pause" returns incorrect status
Date: Thu, 01 Feb 2007 17:48:44 -0500
[Message part 1 (text/plain, inline)]
On Thu, Feb 01, 2007 at 12:53:14PM +0100, Gabor Kiss wrote:
> Package: dialog
> Version: 1.0-20060221-2
> Severity: normal
> 
> If I run "dialog --pause foobar 10 20 3" and I don't press any key
> the return status is 254. However this should be 0 according
> the manual.
> Older version (1.0-20050306-1 in i386 Sarge) works well.

That is a simple one (fix attached).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[db-409254.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Gabor Kiss <kissg@maphu.hu>:
Bug#409254. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gabor Kiss <kissg@maphu.hu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 409254-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 409254-close@bugs.debian.org
Subject: Bug#409254: fixed in dialog 1.0-20060221-3
Date: Fri, 02 Feb 2007 18:02:02 +0000
Source: dialog
Source-Version: 1.0-20060221-3

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.0-20060221-3.diff.gz
  to pool/main/d/dialog/dialog_1.0-20060221-3.diff.gz
dialog_1.0-20060221-3.dsc
  to pool/main/d/dialog/dialog_1.0-20060221-3.dsc
dialog_1.0-20060221-3_powerpc.deb
  to pool/main/d/dialog/dialog_1.0-20060221-3_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 409254@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  2 Feb 2007 18:23:26 +0100
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.0-20060221-3
Distribution: unstable
Urgency: medium
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 409254
Changes: 
 dialog (1.0-20060221-3) unstable; urgency=medium
 .
   * Fixed regression in pause box. Patch by the author. Closes: #409254.
Files: 
 696cea3e0f69922fddecaa4747001d9c 593 misc optional dialog_1.0-20060221-3.dsc
 150e0d941a66bf34731c401a8ebbbe63 8987 misc optional dialog_1.0-20060221-3.diff.gz
 d4873c54f73f9cba5fe7d69168c3ef81 232114 misc optional dialog_1.0-20060221-3_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFw3Sid9Uuvj7yPNYRAsoWAJ4nzcmM1DcD2Fnh1Ig2LXFTzVu3wwCfXksb
sjxd39wzA5F9oj5iQ6OvmQs=
=kkLA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 22:29:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:06:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.